libzypp 17.37.10

zypp::detail::ByRepository Struct Reference

Functor filtering Solvable by Repository. More...

`#include <zypp/Repository.h>`

## Public Member Functions
| ByRepository (const Repository &repository_r)
| ByRepository (sat::detail::RepoIdType id_r)
| ByRepository ()
bool | operator() (const sat::Solvable &slv_r) const

## Private Attributes
Repository | _repository

## Detailed Description

Functor filtering Solvable by Repository.

Definition at line 489 of file Repository.h.

## Constructor & Destructor Documentation

## ◆ ByRepository() [1/3]

zypp::detail::ByRepository::ByRepository | ( | const Repository & | repository_r | ) |
| inline

Definition at line 492 of file Repository.h.

## ◆ ByRepository() [2/3]

zypp::detail::ByRepository::ByRepository | ( | sat::detail::RepoIdType | id_r | ) |
| inline

Definition at line 493 of file Repository.h.

## ◆ ByRepository() [3/3]

zypp::detail::ByRepository::ByRepository | ( |  | ) |
| inline

Definition at line 494 of file Repository.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::detail::ByRepository::operator() | ( | const sat::Solvable & | slv_r | ) | const
| inline

Definition at line 496 of file Repository.h.

## Member Data Documentation

## ◆ _repository

Repository zypp::detail::ByRepository::_repository
| private

Definition at line 500 of file Repository.h.

The documentation for this struct was generated from the following file:

- zypp/Repository.h